Bug 173593 - imake-kdm-modular X problem
imake-kdm-modular X problem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: imake (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: xorg-modular
  Show dependency treegraph
 
Reported: 2005-11-18 09:56 EST by Sammy
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 05:29:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-11-18 09:56:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.0 (like Gecko)

Description of problem:
After the modular-X update kdm is not starting because it has a hard coded  
path to /usr/X11R6/bin/X to start the X server. I tried recompiling it with  
the modular-x packages installed which resulted in the same behavior.  
  
Upon looking into the configure script I saw that it was using imake to  
determine X11 paths. It turned out that these still point to X11R6 stuff  
in the relevant *.cf and *.tmpl files e.g. X11BINDIR etc. After changing  
these and recompiling it now points to /usr/bin/X.  
  
This was the only hard coded path I could see. Could you please CC this to  
than@redhat.com as well.  
  
Thanks  

Version-Release number of selected component (if applicable):
imake-0.99.2-4

How reproducible:
Always

Steps to Reproduce:
1. Update to modular X 
2. Try to start kdm 
3. 
   

Additional info:
Comment 1 Ville Skyttä 2005-11-25 15:17:51 EST
Indeed, and it's not at all limited to kdm, it'll probably cause all packages 
using imake/xmkmf to end up with a non-functional configuration. 
 
Reproducer: 
 
   $ echo "" > Imakefile 
   $ xmkmf 
   $ less Makefile 
 
There's quite a few /usr/X11R6 prefixes in the produced Makefile, and 
additionally at least XAPPLOADDIR is incorrect, should point 
to /usr/share/X11/app-defaults 
Comment 2 Ville Skyttä 2005-11-30 15:34:09 EST
Looks better in imake-0.99.2-5, but shouldn't something like be additionally
applied?

--- xorg-cf-files-0.99.2/X11.tmpl~      2005-11-30 22:27:26.000000000 +0200
+++ xorg-cf-files-0.99.2/X11.tmpl       2005-11-30 22:33:51.000000000 +0200
@@ -1566,3 +1566,3 @@
 #ifndef XAppLoadDir
-#define XAppLoadDir $(LIBDIR)/app-defaults
+#define XAppLoadDir /usr/share/X11/app-defaults
 #endif
Comment 3 Ville Skyttä 2005-12-20 11:40:40 EST
XAPPLOADDIR still points to $(LIBDIR)/app-defaults in 1.0.0-2.
Comment 4 Ngo Than 2005-12-20 12:56:55 EST
it's the better fix which is included in rawhide.

--- imake-1.0.0/xorg-cf-files-1.0.0/linux.cf.redhat     2005-10-21
21:10:27.000000000 +0200
+++ imake-1.0.0/xorg-cf-files-1.0.0/linux.cf    2005-12-20 18:56:20.000000000 +0100
@@ -191,6 +191,9 @@

 #if LinuxDistribution == LinuxRedHat
 #define FSUseSyslog            YES
+#define BuildRman              NO
+#define BuildHtmlManPages      NO
+#define XAppLoadDir            /usr/share/X11/app-defaults
 #endif

 #ifndef HasDevRandom



thanks for your report.
Comment 5 Ville Skyttä 2005-12-20 14:23:50 EST
Ok, that seems to fix XAPPLOADDIR in 1.0.0-3.  However, a bunch of other paths
look bad again now unless I'm missing something.

$ echo "" > Imakefile
$ xmkmf
imake -DUseInstalled -I/usr/share/X11/config
$ grep X11R6 Makefile
          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
          MANPATH = /usr/X11R6/man
      PROJECTROOT = /usr/X11R6
           BINDIR = /usr/X11R6/bin
           LIBDIR = /usr/X11R6/lib/X11
       LIBEXECDIR = /usr/X11R6/libexec
       INSTSRCDIR = /usr/X11R6/src
Comment 6 Mike A. Harris 2005-12-20 15:50:45 EST
The previous patch in comment #4, should be replaced with directives specified
in host.def (which doesn't exist in our imake package yet, but will soon).

ProjectRoot should be set to /usr, and the above should hopefully all work.
We can touch up any remaining glitches after that.

Does this sound reasonable?

TIA
Comment 7 Ngo Than 2005-12-21 05:29:19 EST
the final fix for this problem, which is included in 1.0.0-4

--- xorg-cf-files-1.0.0/linux.cf.redhat 2005-10-21 21:10:27.000000000 +0200
+++ xorg-cf-files-1.0.0/linux.cf        2005-12-21 11:27:16.000000000 +0100
@@ -190,7 +190,12 @@
 #endif /* LinuxDebian */

 #if LinuxDistribution == LinuxRedHat
-#define FSUseSyslog            YES
+# define FSUseSyslog           YES
+# define BuildRman             NO
+# define BuildHtmlManPages     NO
+# define ProjectRoot           /usr
+# define ManPath               /usr/share/man
+# define XAppLoadDir   /usr/share/X11/app-defaults
 #endif

 #ifndef HasDevRandom

Note You need to log in before you can comment on or make changes to this bug.